
Redmine - Feature #3094

Change ticket ID generation

2009-04-01 17:16 - Marcos Vinícius Souza

Status: Closed Start date: 2009-04-01

Priority: Normal Due date: 2013-04-01

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: No feedback   

Description

When the redmine had many projects and used for many time, the ticket ID tends to be very high. This makes difficult remember the

ID that I am interested.

My suggestion is to pre-append the current year to the ticket ID (200901, 200902, etc). When the new year comes, the count would

be reseted, starting again: 201001, 201002..

Related issues:

Related to Redmine - Feature #5765: Issue Numbers per Project Closed 2010-06-27

History

#1 - 2009-04-02 07:32 - Paul Quirk

Good suggestion. Perhaps allow a pattern to be applied to generate ticket numbers, e.g. YYYY###### and let the default be the way it is now

(#######).

#2 - 2009-04-02 07:36 - Zarooba Rozruba

I am not sure if I understand this. Your sollution to long ticket numbers is to make them longer? so that they include year as part of this?

How about: YYYYMMDDHHmm###### for a ticket number?  These definitelly would be simpler than just a sequential, lowest number form.

Kind regards

#3 - 2009-04-02 13:24 - Marcos Vinícius Souza

Zarooba Rozruba wrote:

I am not sure if I understand this. Your sollution to long ticket numbers is to make them longer? so that they include year as part of this?

How about: YYYYMMDDHHmm###### for a ticket number?  These definitelly would be simpler than just a sequential, lowest number form.

Kind regards

 The ticket id length will be longer, but more intuitive and easy to remember. The complete date pattern also is a good idea, but I think that is not

necessary.

MV

#4 - 2009-04-05 09:45 - Maxim Krušina

-1

I'm really again. Actualy what you are sugestion is much longer numbers than actual ticket number. ANd for our workflow it's much more clear to see

simple incrementing numbers, because it's easy to understand which tickets are newer. Suggested sollution goes against simlicity. A agree that it can

be usefull for few of us, but not for a whole community.

The sollution can be a plugin, or some special custom field with calculation...

#5 - 2009-10-14 04:34 - Bruno Medeiros

I think it's not a good idea and could cause technical problems.

What if, by some unknown problem, the server running Redmine lost the correct time.. We'd have duplicated ids for tickets and it would be a mess

(bigger than the simply date problem).

And how many tickets by day do you produce? The Ubuntu tracker issue id, for example, is a 6 digit number yet, will take some years to get the 7th

digit. It's not so hard to memorize.
#6 - 2013-03-18 17:46 - Dipan Mehta

-1. Not a good idea, because at many places (in wiki or notes or related issues) you would have written them as 'text'. If the issue number now

changes - all those places will point to bogus or incorrect/misleading points!

#7 - 2013-03-18 19:07 - Daniel Felix

- Due date set to 2013-04-01

- Status changed from New to Needs feedback

Well I would disagree to this request. This is one of the base features of Redmine.

This issue should be rejected. An ID is a generated, unique number. Why should it be generated on such a complicate way? After 3000 issues in a

year, you won't have any benefit.

Example after 5 years, each year 3000 issues.

Currently: #15000

New version: #20133000

This isn't really better.

Please give some good reasons for this till next month (1st April). otherwise I will close it.

#8 - 2013-04-10 12:20 - Daniel Felix

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

Closing this as there is no feedback on this issue. We thing this is resolved in current releases.

#9 - 2017-04-16 18:50 - Gilberto Gilson Alves

How to change this format in the ID field in the issues table???
